Subject: Re: Is cygffi.dll needed for SableVM JVM?
From: "Grzegorz B. Prokopski" <[email-masked]>
To: "Gerrit @ cygwin" <[email-masked]>, SableVM Users Mailing List <[email-masked]>
Cc: [email-masked]
Date: Fri, 17 Sep 2004 16:44:52 -0400

Hi Gerrit,

On Fri, 2004-09-17 at 08:42, Gerrit P. Haase wrote:
> Am Freitag, 17. September 2004 um 02:47 schriebst du:
> > 2. make libsablevm link against statically compiled libffi.
> 
> > I am not sure 2) is possible and I don't know how to do it. 
> > If 2) is not possible, would it be possible for gcc maintainer
> > to include shared version of libffi in gcc-java?
> 
> You can link against static archives when using 'pass_all' instead of
> 'file_magic ^x86 archive import|^x86 DLL' to recognise dependent
> libraries in libtool (change in libtool.m4).

You mean I should edit /usr/share/libtool/libtool.m4 and change this
part, that is already specific to cygwin?

cygwin*)
  # func_win32_libid is a shell function defined in ltmain.sh
  lt_cv_deplibs_check_method='file_magic ^x86 archive import|^x86 DLL'
  lt_cv_file_magic_cmd='func_win32_libid'
  ;;

It sounds hackish.  Terribly hackish.  If it's a normal thing you need
to do at least for some applications under cygwin, why not have some
kind of a switch for that included into official libtool?

Or have I missed something?

				Grzegorz B. Prokopski
-- 
Grzegorz B. Prokopski      <[email-masked]>
Debian GNU/Linux           http://www.debian.org
SableVM - LGPL'ed Java VM  http://www.sablevm.org
Why SableVM ?!?            http://devel.sablevm.org/wiki/Features

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/